SDL_GetCurrentAudioDriver(3)

NAME
SDL_GetCurrentAudioDriver - Get the name of the current audio driver.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetCurrentAudioDriver(void);

DESCRIPTION
The names of drivers are all simple, low-ASCII identifiers, like "alsa", "coreaudio" or "wasapi". These never have Unicode characters, and are not meant to be proper names.

RETURN VALUE
Returns the name of the current audio driver or NULL if no driver has been initialized.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.